
#ifndef MP3_18_H
#define MP3_18_H

// PIN定義
#define PIN_POWER_ON		20
#define PIN_SW_POWER_OFF	28
#define	PIN_SW_DOWN			5
#define PIN_SW_UP			9
#define	PIN_SW_SELECT		6
#define	PIN_SW_RETURN		2
#define	PIN_SW_PLAY			8
#define	PIN_SW_RANDOM		4
#define	PIN_SW_PGDOWN		7
#define	PIN_SW_PGUP			10
#define PIN_SW_OPTION		11
#define	PIN_RE_DOWN			22		// Rotary Encoder
#define	PIN_RE_UP			21
#define PIN_LED_ONBOARD		25

// 機能
#define PLAY_NEXT_MP3           0x91
#define PLAY_PREV_MP3           0x92
#define PLAY_OTHER_DIR          0x93
#define POWEROFF                0x94
#define GOTO_MAINMENU           0x95
#define SELECT_OTHER_MP3		0x96
#define START_RANDOM			0x97
#define DO_NOTHING				0x9A

// タイマー
#define	TIMER_INTERVAL_MS		100		// タイマー周期(ms)
#define	AUTOPOFF_PAUSE			(2*60*(1000/TIMER_INTERVAL_MS))		// 自動電源オフ　タイムアウト時間（タイマー周期単位）　選択入力待ちのとき
#define	AUTOPOFF_PLAYING		(180*60*(1000/TIMER_INTERVAL_MS))		// 同　再生中のとき

#endif

